Debian Bug report logs - #671962
freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting

version graph

Package: src:freerdp; Maintainer for src:freerdp is Mike Gabriel <sunweaver@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 8 May 2012 12:43:05 UTC

Severity: serious

Tags: sid, wheezy

Found in version freerdp/1.0.1-1

Fixed in version freerdp/1.0.1-1.1

Done: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Tue, 08 May 2012 12:43:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Otavio Salvador <otavio@debian.org>. (Tue, 08 May 2012 12:43:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
Date: Tue, 8 May 2012 14:12:26 +0200
Source: freerdp
Version: 1.0.1-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120508 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> # Removing unused files
> rm -f debian/tmp/usr/lib/*.la
> rm -f debian/tmp/usr/lib/freerdp/*.la
> rm -rf debian/tmp/usr/share/freerdp/keymaps
> dh_install --fail-missing
> dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
> make[1]: *** [override_dh_install] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/05/08/freerdp_1.0.1-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Mon, 11 Jun 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Mon, 11 Jun 2012 16:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 671962@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 671962@bugs.debian.org
Subject: Re: Bug#671962: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
Date: Mon, 11 Jun 2012 18:09:27 +0200
[Message part 1 (text/plain, inline)]
On Tue, 08 May 2012 14:12:26 +0200, Lucas Nussbaum wrote:

> Relevant part:
> > make[1]: Entering directory `/«PKGBUILDDIR»'
> > # Removing unused files
> > rm -f debian/tmp/usr/lib/*.la
> > rm -f debian/tmp/usr/lib/freerdp/*.la
> > rm -rf debian/tmp/usr/share/freerdp/keymaps
> > dh_install --fail-missing
> > dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
> > make[1]: *** [override_dh_install] Error 255

The bug itself can be fixed with the patch from Ubuntu (attached) but
then we are running into

E: libfreerdp1: missing-pre-dependency-on-multiarch-support

So this needs a bit more to be multiarchified correctly.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bettina Wegner: die rose
[671962.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Sun, 24 Jun 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Artur Rona <ari-tczew@tlen.pl>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 24 Jun 2012 17:48:03 GMT) Full text and rfc822 format available.


Message #15 received at 671962@bugs.debian.org (full text, mbox):

From: Artur Rona <ari-tczew@tlen.pl>
To: 671962@bugs.debian.org
Cc: control@bugs.debian.org
Date: Sun, 24 Jun 2012 19:44:34 +0200
tags 671962 + patch
thanks




Added tag(s) patch. Request was from Artur Rona <ari-tczew@tlen.pl> to control@bugs.debian.org. (Sun, 24 Jun 2012 17:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Tue, 03 Jul 2012 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Tue, 03 Jul 2012 06:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: Bug#671962: freerdp: FTBFS: dh_install: libfreerdp1 missing
Date: Tue, 03 Jul 2012 14:52:29 +0800
[Message part 1 (text/plain, inline)]
Hi developers,

I add more modification to fix
E: libfreerdp1: missing-pre-dependency-on-multiarch-support
It is based on Gregor's work.

Please see the debdiff I attached.

However, this patch is still not *perfect*.

# strings libfreerdp-core.so.1.0.1  | grep /usr/lib/
/usr/lib/freerdp/extensions/%s.so

It shows that the default extension path is not Multi-Arch-ified.
But it is a minor issue because freerdp-1.0.1 doesn't support loading
extensions due to a bug in the upstream.

Plugins are still working so don't worry about that:
# strings libfreerdp-utils.so.1.0.1 | grep /usr/lib/
/usr/lib/i386-linux-gnu/freerdp

Yours Sincerely,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
[671962-2.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Tue, 03 Jul 2012 14:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Tue, 03 Jul 2012 14:54:10 GMT) Full text and rfc822 format available.

Message #27 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: Bug#671962: freerdp: FTBFS: dh_install: libfreerdp1 missing
Date: Tue, 03 Jul 2012 22:50:53 +0800
[Message part 1 (text/plain, inline)]
Hi all,

Can I do NMU for it?

If no one wants to do NMU, I'll do it.
I'll wait for 10 days.

Yours Sincerely,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Fri, 13 Jul 2012 19:36:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Fri, 13 Jul 2012 19:36:48 GMT) Full text and rfc822 format available.

Message #32 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
Date: Sat, 14 Jul 2012 01:33:52 +0800
[Message part 1 (text/plain, inline)]
NMUed.
put into ftp-master [DELAYED/3].


-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
[nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Ying-Chun Liu (PaulLiu) <paulliu@debian.org>:
You have taken responsibility. (Mon, 16 Jul 2012 18:03:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 16 Jul 2012 18:03:08 GMT) Full text and rfc822 format available.

Message #37 received at 671962-close@bugs.debian.org (full text, mbox):

From: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
To: 671962-close@bugs.debian.org
Subject: Bug#671962: fixed in freerdp 1.0.1-1.1
Date: Mon, 16 Jul 2012 18:02:11 +0000
Source: freerdp
Source-Version: 1.0.1-1.1

We believe that the bug you reported is fixed in the latest version of
freerdp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ying-Chun Liu (PaulLiu) <paulliu@debian.org> (supplier of updated freerdp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 14 Jul 2012 01:19:53 +0800
Source: freerdp
Binary: freerdp-dbg freerdp-x11 libfreerdp1 libfreerdp-plugins-standard libfreerdp-dev
Architecture: source i386
Version: 1.0.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Otavio Salvador <otavio@debian.org>
Changed-By: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Description: 
 freerdp-dbg - RDP client for Windows Terminal Services (debug)
 freerdp-x11 - RDP client for Windows Terminal Services
 libfreerdp-dev - RDP client for Windows Terminal Services (development)
 libfreerdp-plugins-standard - RDP client for Windows Terminal Services (plugins)
 libfreerdp1 - RDP client for Windows Terminal Services (library)
Closes: 671962
Changes: 
 freerdp (1.0.1-1.1) unstable; urgency=low
 .
   [ gregor herrmann <gregoa@debian.org> ]
   * Non-maintainer upload.
   * Fix "FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*),
     aborting": apply patch from Ubuntu / Michael Terry:
     - debian/*.install: Update for multiarch locations
     (Closes: #671962)
 .
   [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
   * Multi-Arch implementation.
Checksums-Sha1: 
 2c29977d13a809cc5aea7d771a1809d21bf6d1bf 2276 freerdp_1.0.1-1.1.dsc
 94f9ee9ce4ac09413241172ef08b80f3a2b9b0fc 10815 freerdp_1.0.1-1.1.debian.tar.gz
 d2d6eff76db6811ca891c03af8e9f0c66ab2150f 1668126 freerdp-dbg_1.0.1-1.1_i386.deb
 467eba7e783a83b226442fa761b96293a003a8c5 50510 freerdp-x11_1.0.1-1.1_i386.deb
 e2fc70d5c28b896635d7c6978ed03d4f26755375 266784 libfreerdp1_1.0.1-1.1_i386.deb
 79cb208cf3342aa2d9e5678220b6189463e6121e 84482 libfreerdp-plugins-standard_1.0.1-1.1_i386.deb
 6a8d618c734a46d80cb736f19b9d716f54574eaf 55354 libfreerdp-dev_1.0.1-1.1_i386.deb
Checksums-Sha256: 
 c44256d1606b48727fcfe02476bd7f87e1aed600e00cdbb3d5273760ed539ff3 2276 freerdp_1.0.1-1.1.dsc
 575a1a2b49350c278a20bf798ac4e9bd52c8ebaa8dbe5914d9b66c67ac580782 10815 freerdp_1.0.1-1.1.debian.tar.gz
 956c71c70313af7f5c56a3fca4e70f5b88e5e787c550ee3377eaac83090a6631 1668126 freerdp-dbg_1.0.1-1.1_i386.deb
 6e3d93bd05499287ad2865bd703dfd5857a567f2306cb5b9ba002416e719d0eb 50510 freerdp-x11_1.0.1-1.1_i386.deb
 d15350a9a3874fa0dd3f444849013ee84d5457f6ba90624f46f3279e141830f6 266784 libfreerdp1_1.0.1-1.1_i386.deb
 49744b1f9fe21b78f6e749c01f9eb186e809ab9718ba60009052aa53856dcf19 84482 libfreerdp-plugins-standard_1.0.1-1.1_i386.deb
 d2ba41b2ea41631dba9d7c0b823412da9b8182298f5f807a9f17ab95e10c2d3b 55354 libfreerdp-dev_1.0.1-1.1_i386.deb
Files: 
 f5dec7f7df8a7f9dab3d1db09dd69f3a 2276 x11 optional freerdp_1.0.1-1.1.dsc
 44d658f7d9e9a5da80ceb52c79138a97 10815 x11 optional freerdp_1.0.1-1.1.debian.tar.gz
 99a7a7ab8ba044660ca256696d186382 1668126 debug extra freerdp-dbg_1.0.1-1.1_i386.deb
 bbcc01a7ee4b7bb4ca4bc07faac62c15 50510 x11 optional freerdp-x11_1.0.1-1.1_i386.deb
 4107a8c480e7d6dcc0ff181932332e25 266784 libs optional libfreerdp1_1.0.1-1.1_i386.deb
 cafa94dd75bfc9e045dd82147206c715 84482 libs optional libfreerdp-plugins-standard_1.0.1-1.1_i386.deb
 1e33f24960b0ccfc2b31a2e2309ca2d9 55354 libdevel optional libfreerdp-dev_1.0.1-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQAFsiAAoJEPgLgUbQQog2/OQP/1oIprJwsSnLvh79oJSh+R9v
9JLBId5UPRKJUVYUhOyC4njzdBqMv1CY1LSaskp2Po1PePDad1m3DCcWthIUz8Z/
xbKCm8K58KHFrrLbmlmLXmlqM/5rQOM1S04Ok/Tin+jdNohTqMhqM0Q9zUHtXczI
tf+jDpupbJR71lqxAoqpqUpBKtKC1pBqhCB5Q3ZkzPhP1BVZxer3GzR3jDg92TQ7
7a5cc2sDAWH96r6g0Qtu7xC/QW6nDBAmL1I64z+NoRU6BgH+ynp96ZMswCghA5SK
otNkpCSQ3ZX6d9Z7vk9WDoRq0XY8urD6GPAXAJPwmIMyMLC/85won05xs8MsWOSR
ftcN8E0drNyFIRhMbRP5UCKQu8irywxfQw6GRoyIvS+CN6N1ZNxi1Xfj9H0SnIYO
uN8McQCn9/1rQZLtuG0L1TJECw5nlHPj9nKd/cl+5DLY4msu770haBIUVVfSoYr/
dT45jhhnVSE36JofwoGLJE+Z1aMG+eTpHj7IY7J/CanxNPBbXIBg6hF8Q3i5qKnI
yGQ4tMrqlPBQBStjPsXuQtDvTd59kDeISm8fMAptru56QgZDxm6vjxpr5nq1i2/r
UFO/4T9z6G6ByskM2wM+uNEgoNp9Ry1/Khm7yCPCa5/dYbbxMM3Uszx6+HvBPQ/N
s6LPARSNR3n6IsAt0YMx
=+00q
-----END PGP SIGNATURE-----




Marked as found in versions freerdp/1.0.1-1.1; no longer marked as fixed in versions freerdp/1.0.1-1.1 and reopened. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2012 22:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Mon, 16 Jul 2012 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Mon, 16 Jul 2012 23:09:05 GMT) Full text and rfc822 format available.

Message #44 received at 671962@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 671962@bugs.debian.org
Cc: paulliu@debian.org
Subject: Still FTBFSing on !linux
Date: Tue, 17 Jul 2012 00:51:18 +0200
Found 671962 1.0.1-1.1
bye

Still fails to build like that on !linux:

https://buildd.debian.org/status/fetch.php?pkg=freerdp&arch=kfreebsd-amd64&ver=1.0.1-1.1&stamp=1342462514

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer



Removed tag(s) patch. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 18 Jul 2012 05:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Wed, 18 Jul 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Wed, 18 Jul 2012 13:57:03 GMT) Full text and rfc822 format available.

Message #51 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
Date: Wed, 18 Jul 2012 21:52:59 +0800
[Message part 1 (text/plain, inline)]
Hi,

Needs help.

I installed Debian/kfreebsd inside VirtualBox. But after upgrading to
unstable, the whole system doesn't boot. Thus I'm not able to reproduce
the FTBFS on kfreebsd.

From the log it seems that it doesn't build with multi-arch paths. Still
using the old config.

Yours,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Thu, 19 Jul 2012 13:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Thu, 19 Jul 2012 13:45:09 GMT) Full text and rfc822 format available.

Message #56 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
Date: Thu, 19 Jul 2012 21:40:27 +0800
[Message part 1 (text/plain, inline)]
#641051 might be related.

I've re-install Debian/kfreebsd inside virtualbox. And does get the
FTBFS. But strangely, linux arches does get a correct multiarch path but
the kfreebsd-i386 didn't.

Any suggestions?

[1] http://bugs.debian.org/641051
-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Tue, 31 Jul 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Tue, 31 Jul 2012 11:15:03 GMT) Full text and rfc822 format available.

Message #61 received at 671962@bugs.debian.org (full text, mbox):

From: peter green <peter.green@postgrad.manchester.ac.uk>
To: paulliu@debian.org, 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*),, aborting
Date: Tue, 31 Jul 2012 11:54:10 +0100
> I've re-install Debian/kfreebsd inside virtualbox. And does get the
> FTBFS. But strangely, linux arches does get a correct multiarch path but
> the kfreebsd-i386 didn't.
>
> Any suggestions?
As a quick and dirty solution you could put code in debian/rules that 
checks where
the files are and if needed moves them to the multiarch path.



Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Wed, 01 Aug 2012 02:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Wed, 01 Aug 2012 02:48:03 GMT) Full text and rfc822 format available.

Message #66 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: peter green <peter.green@postgrad.manchester.ac.uk>
Cc: 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*),, aborting
Date: Wed, 01 Aug 2012 10:44:13 +0800
[Message part 1 (text/plain, inline)]
於 2012年07月31日 18:54, peter green 提到:
>> I've re-install Debian/kfreebsd inside virtualbox. And does get the
>> FTBFS. But strangely, linux arches does get a correct multiarch path but
>> the kfreebsd-i386 didn't.
>>
>> Any suggestions?
> As a quick and dirty solution you could put code in debian/rules that
> checks where
> the files are and if needed moves them to the multiarch path.

Hi,

I wonder if this works.
There are <plugins>.so in freerdp.
And the library will use dlopen() to open it.
Thus if we move those plugins.so to MULTIARCH path, then those plugins
will not be loaded due to the path changed.

For example, I build freerdp-1.0.1 under Debian/kFreebsd:
# strings debian/tmp/usr/lib/libfreerdp-utils.so | grep /usr
/usr/lib/freerdp

So that shared library will always look for plugins in /usr/lib/freerdp.

And this is from i386:
# strings /usr/lib/i386-linux-gnu/libfreerdp-utils.so | grep /usr
/usr/lib/i386-linux-gnu/freerdp

It seems to me that we cannot just simply move the libraries to other path.

Yours,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Thu, 23 Aug 2012 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Thu, 23 Aug 2012 15:51:05 GMT) Full text and rfc822 format available.

Message #71 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*), aborting
Date: Thu, 23 Aug 2012 23:48:01 +0800
[Message part 1 (text/plain, inline)]
#684956 should be related.

http://bugs.debian.org/684956
-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#671962; Package src:freerdp. (Thu, 23 Aug 2012 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Thu, 23 Aug 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #76 received at 671962@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962@bugs.debian.org
Subject: Re: freerdp: FTBFS: dh_install: libfreerdp1 missing files (usr/lib/*.so.*),, aborting
Date: Fri, 24 Aug 2012 00:42:39 +0800
[Message part 1 (text/plain, inline)]
Hi,

I'm now able to build this package with current cmake in Debian sid
kFreeBSD.

So this bug is actually caused by #684956. Since #684956 has been
already fixed in sid. I think I just need to ask a rebuild in freebsd
and hurd platform.

Yours,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#671962; Package src:freerdp. (Thu, 23 Aug 2012 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 23 Aug 2012 17:09:07 GMT) Full text and rfc822 format available.

Message #81 received at 671962-quiet@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: debian-release@lists.debian.org, debian-wb-team@lists.debian.org
Cc: dpkg@packages.debian.org, 671962-quiet@bugs.debian.org
Subject: Please give back freerdp on kfreebsd-* hurd-*
Date: Fri, 24 Aug 2012 01:06:58 +0800
[Message part 1 (text/plain, inline)]
wb gb freerdp_1.0.1-1.1 . kfreebsd-amd64 kfreebsd-i386 hurd-i386

Due to the previous version of cmake doesn't support multi-arch on the
above arches (#684956), freerdp FTBFS. (#671962)
Now cmake fixes the problem on these arches. Please give back freerdp to
make it build again.

Yours Sincerely,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#671962; Package src:freerdp. (Fri, 24 Aug 2012 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and filed, but not forwarded. (Fri, 24 Aug 2012 13:09:06 GMT) Full text and rfc822 format available.

Message #86 received at 671962-quiet@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: kfreebsd-i386@buildd.debian.org
Cc: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>, 671962-quiet@bugs.debian.org
Subject: Re: Please give back freerdp on kfreebsd-* hurd-*
Date: Fri, 24 Aug 2012 14:05:49 +0100
On 23/08/12 18:06, Ying-Chun Liu (PaulLiu) wrote:
> Due to the previous version of cmake doesn't support multi-arch on the
> above arches (#684956), freerdp FTBFS. (#671962)
> Now cmake fixes the problem on these arches. Please give back freerdp to
> make it build again.

Hi Christoph,

I noticed the above request was sent to debian-release/debian-wb-team;
please could you arrange for this to be given back?

wb gb freerdp_1.0.1-1.1 . kfreebsd-amd64 kfreebsd-i386

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information stored :
Bug#671962; Package src:freerdp. (Sat, 25 Aug 2012 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 25 Aug 2012 13:57:08 GMT) Full text and rfc822 format available.

Message #91 received at 671962-quiet@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: kfreebsd-i386@buildd.debian.org, "Ying-Chun Liu \(PaulLiu\)" <paulliu@debian.org>, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>, 671962-quiet@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Please give back freerdp on kfreebsd-* hurd-*
Date: Sat, 25 Aug 2012 15:52:24 +0200
Steven Chamberlain <steven@pyro.eu.org> writes:

> wb gb freerdp_1.0.1-1.1 . kfreebsd-amd64 kfreebsd-i386

Done

Regards

    Christoph



Information stored :
Bug#671962; Package src:freerdp. (Sat, 25 Aug 2012 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and filed, but not forwarded. (Sat, 25 Aug 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #96 received at 671962-quiet@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>
Cc: kfreebsd-i386@buildd.debian.org, "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>, 671962-quiet@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Please give back freerdp on kfreebsd-* hurd-*
Date: Sat, 25 Aug 2012 15:14:49 +0100
On 15:52, Christoph Egger wrote:
> > wb gb freerdp_1.0.1-1.1 . kfreebsd-amd64 kfreebsd-i386
> 
> Done

...and successfully built on all arches.  Thanks!

Regards.
-- 
Steven Chamberlain
steven@pyro.eu.org



Reply sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
You have taken responsibility. (Sat, 25 Aug 2012 15:33:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 15:33:09 GMT) Full text and rfc822 format available.

Message #101 received at 671962-close@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: 671962-close@bugs.debian.org
Subject: Bug#671962: fixed in freerdp 1.0.1-1.1
Date: Sat, 25 Aug 2012 23:30:29 +0800
[Message part 1 (text/plain, inline)]
Source: freerdp
Source-Version: 1.0.1-1.1

Close this bug again on version 1.0.1-1.1.
Now freerdp is able to be built on all arches.

Thanks,
Paul

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Oct 2012 07:26:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:14:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.